package app;

import com.esotericsoftware.kryo.Kryo;
import com.esotericsoftware.kryo.io.Output;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;

public class KyroTest {
    public static void main(String[] args) throws FileNotFoundException {
           outputTest();
    }

    public static void outputTest() throws FileNotFoundException {

        Kryo kryo = new Kryo();
        kryo.register(OuterClass.class, 90);
        kryo.register(SomeClass.class, 100);
        kryo.register(BigDecimal.class,110) ;
        kryo.register(BigInteger.class, 120) ;
        kryo.register(ArrayList.class, 130) ;
        kryo.register(SomeClass.SKU.class, 140) ;

        Output output = new Output(new FileOutputStream("file.bin"));
        SomeClass someObject = new SomeClass() ;
        someObject.id = "1" ;
        someObject.company = "vv" ;
        someObject.d = new BigDecimal("100") ;
        someObject.i = new BigInteger("100") ;

        someObject.skus = new ArrayList<>() ;
        SomeClass.SKU sku = new SomeClass.SKU() ;
        sku.id = "sku-1" ;
        sku.sellableqty = new BigDecimal("10") ;
        someObject.skus.add(sku) ;

        OuterClass outerObject = new OuterClass() ;
        outerObject.someObject = someObject ;
        //kryo.writeObject(output, outerObject);
        kryo.writeObject(output, someObject);

        output.close();
    }
}
