package app;

import com.esotericsoftware.kryo.serializers.CollectionSerializer;
import com.esotericsoftware.kryo.serializers.CompatibleFieldSerializer;

import javax.money.MonetaryAmount;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.List;

public class SomeClass {
    public String id ;
    public String company;
    public BigDecimal d ;
    public BigInteger i ;

    @CollectionSerializer.BindCollection(
            elementSerializer = CompatibleFieldSerializer.class,
            elementClass = SKU.class,
            elementsCanBeNull = true)
    public List<SKU> skus ;

    public static class SKU {
        public BigDecimal sellableqty;
        public String id ;
    }
}
